Foreman - Bug #9429

user shouldn't be allowed to create alias and bond interfaces without specifying identifer
02/18/2015 09:14 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Network
Target version: 1.8.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.7.2
Bugzilla link: 1191953 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2177
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1191953
Description of problem:
| can create alias and bond interfaces without specifying identifier. | think its required to link the virtual interface with the physical one.

If we don't pass identifier then | think it won't be configured on provisioned host via config template.

Version-Release number of selected component (if applicable):
Satellite-6.1.0-RHEL-6-20150210.0
Sat6.1.0 beta snap2

How reproducible:
always

Steps to Reproduce:

1. Add_interface of type Bond and alias
2.

3.

Actual results:
Alias and bond Interfaces can be created without interface identifier

Expected results:
User should get validation error as identifier are required for linking purpose.

Additional info:

Associated revisions

Revision 4feb1576 - 02/19/2015 09:55 AM - Marek Hulan
Fixes #9429 - identifier is required for Alias and VLAN

History

#1 - 02/18/2015 09:16 AM - Marek Hulan
- Category set to Network

- Status changed from New to Assigned

#2 - 02/18/2015 09:53 AM - Marek Hulan
Actually identifier should be required only for VLAN/Alias

#3 - 02/18/2015 11:24 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2177 added
https://bugzilla.redhat.com/show_bug.cgi?id=1191953

- Pull request deleted ()

#4 - 02/19/2015 10:03 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4feb1576f820b08712afd58a41b01cdfc2f9d600.

#5 - 02/19/2015 10:08 AM - Dominic Cleal

- translation missing: en.field_release set to 28
